/* epocsys.h
 *
 * Symbian OS support routines for client-server UI communication
 *
 * Copyright 2004 Petteri Kangaslampi
 *
 * NetHack may be freely redistributed.  See license for details.
*/

#ifndef __EPOCSYS_H__
#define __EPOCSYS_H__

#include <e32base.h>


/** 
 * Sends an error message to the UI. If the UI server has terminated, the
 * function will terminate Nethack immediately.
 * 
 * @param aMessage Error message
 */
void EpocErrorMessage(const TDesC &aMessage);


#endif
