/*    nethackapp.cpp
 *
 * Nethack UI Application class
 *
 * Copyright 2002 Petteri Kangaslampi
 *
 * See license.txt for full copyright and license information.
*/

#include "nethackapp.h"
#include "nethackdoc.h"

const TUid KUidNethack = { 0x01060602 };

TUid CNethackApplication::AppDllUid() const {
    return KUidNethack;
}

CApaDocument *CNethackApplication::CreateDocumentL() {
    return new (ELeave) CNethackDocument(*this);
}


// Application entry point
EXPORT_C CApaApplication *NewApplication() {
    return new CNethackApplication;
}

// DLL entry point
GLDEF_C TInt E32Dll(TDllReason /*aReason*/) {
    return KErrNone;
}
