/*    nethackdoc.h
 *
 * Nethack UI Document class
 *
 * Copyright 2002 Petteri Kangaslampi
 *
 * See license.txt for full copyright and license information.
*/

#ifndef __NETHACKDOC_H__
#define __NETHACKDOC_H__

#include <eikapp.h>
#include <eikdoc.h>
#include <eikappui.h>


/**
 * Nethack UI application document class. Does very little, just creates the
 * application UI.
 */
class CNethackDocument : public CEikDocument {
    
public:
    CNethackDocument(CEikApplication &anApp);

private: 
    CEikAppUi* CreateAppUiL();
};


#endif
